package com.gree.mall.contest.bean.goods;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.gree.mall.contest.annotation.ZfireField;
import com.gree.mall.contest.enums.GoodsStatusEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class GoodsVO {

    @ZfireField(hide = true)
    private String goodsId;

    @ZfireField(hide = true)
    @Schema(description = "商品类型: COMMON=普通商品  PACKAGE=套购商品")
    private String goodsType;

    @Schema(description = "商品名称")
    private String goodsName;

    @Schema(description = "商品图片")
    private String imgUrl;

    @ZfireField(hide = true)
    @Schema(description = "商品分类id")
    private String categoryId;

    @Schema(description = "商品大类")
    private String categoryPname;

    @Schema(description = "商品小类")
    private String categoryName;

    @ZfireField(hide = true)
    @Schema(description = "大类id")
    private String categoryPid;



    @Schema(description = "划线价格")
    private BigDecimal orgGoodsPrice;

    @Schema(description = "商品价格")
    private BigDecimal goodsPrice;


    @Schema(description = "商品状态 true:上架  false:下架")
    private GoodsStatusEnum status;

    @Schema(description = "排序")
    private Integer sortNum;

}
