package com.gree.mall.contest.bean.order;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class OrderDetailListBean {


    @Schema(description = "订单号")
    private String orderId;

    @Schema(description = "商品名称")
    private String goodsName;

    private String goodsCode;

    @Schema(description = "规格型号")
    private String goodsSpecValue;

    @Schema(description = "数量")
    private Integer num;

    @Schema(description = "销售单价")
    private String price;

    @Schema(description = "实际支付价格")
    private BigDecimal payAmount;

    @Schema(description = "支付总额(实际支付价格*数量)")
    private BigDecimal totalPrice;

    @Schema(description = "收货人名称")
    private String receUserName;

    @Schema(description = "收货人电话")
    private String recePhone;

    @Schema(description = "收货人地址")
    private String address;

    @Schema(description = "订单状态")
    private String orderStatus;

    @Schema(description = "退款标记")
    private String refundFlag;

    @Schema(description = "退款金额")
    private String refundAmount;

    @Schema(description = "退款数量")
    private String refundNum;

    @Schema(description = "备注")
    private String remark;

    @Schema(description = "下单时间")
    private Date createTime;

    private Date payTime;

    @Schema(description = "买家昵称")
    private String userName;

    @Schema(description = "购买渠道")
    private String workerName;

    @Schema(description = "买家备注")
    private String buyerMsg;

    @Schema(description = "网点")
    private String websitName;

    @Schema(description = "业务员/网点")
    private String workerNameWithWebsitName;

    @Schema(description = "业务员手机号")
    private String workerPhone;

    @Schema(description = "分佣金额")
    private String shareAmount;

    @Schema(description = "团长名称")
    private String nickName;

    @Schema(description = "团长手机号")
    private String mobile;

    @Schema(description = "卖家留言")
    private String refundMessage;

    @Schema(description = "团购活动id")
    private String promotionGroupId;

    @Schema(description = "工单编号")
    private String workerOrderNo;

    @Schema(description = "评价商品的星数(0未评价)")
    private Integer commentGoods;

    @Schema(description = "评价服务的星数(0未评价)")
    private Integer commentService;

    @Schema(description = "评价物流的星数(0未评价)")
    private Integer commentExpress;

    @Schema(description = "退货说明")
    private String refundExplain;

    @Schema(description = "INSTALL和REPAIR")
    private String workOrderType;

    @Schema(description = "是否已入驻企业微信")
    private Boolean isAddCorp;

    @Schema(description = "是否为套购商品")
    private Boolean promotionPackageGoods;

    @Schema(description = "购买人姓名")
    private String buyerName;

    @Schema(description = "购买人手机")
    private String buyerMobile;

    @Schema(description = "购买人身份证")
    private String buyerIdCard;

    @Schema(description = "国补金额")
    private BigDecimal couponMerchantContribute;

    @Schema(description = "条形码")
    private String barCode;

    @Schema(description = "交易流水号")
    private String transactionId;

}
