package com.gree.mall.contest.bean.store;

import com.gree.mall.contest.annotation.ZfireField;
import com.gree.mall.contest.enums.PlatformEnum;
import com.gree.mall.contest.enums.StatusEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Date;

@ZfireField(tbName = "a")
@Data
public class PlatformStoreVO {
    @ZfireField(hide = true)
    @Schema(description = "id")
    private String id;
    @Schema(description = "门店编号")
    private String storeCode;
    @Schema(description = "门店名称")
    private String storeName;
    @Schema(description = "状态")
    private StatusEnum status;
    @Schema(description = "省")
    private String province;
    @Schema(description = "市")
    private String city;
    @Schema(description = "区")
    private String area;
    @Schema(description = "详细地址")
    private String address;
    @ZfireField(hide = true)
    @Schema(description = "省id")
    private String provinceId;
    @ZfireField(hide = true)
    @Schema(description = "市id")
    private String cityId;
    @ZfireField(hide = true)
    @Schema(description = "区id")
    private String areaId;
    @Schema(description = "门店所属平台")
    private PlatformEnum type;
    @Schema(description = "创建时间")
    private Date createTime;
    @Schema(description = "创建人")
    private String createBy;
    @Schema(description = "修改人")
    private String updateBy;
    @Schema(description = "修改时间")
    private Date updateTime;
}
