package com.gree.mall.contest.commonmapper;


import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.gree.mall.contest.bean.goods.GoodsNewBean;
import com.gree.mall.contest.bean.order.OrderStatusBean;
import com.gree.mall.contest.bean.order.ShoppingCartList;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface AppMapper {

    /**
     * 查询购物车的商品清单
     * @param userId
     * @return
     */
    @InterceptorIgnore(tenantLine = "true")
    public List<ShoppingCartList> queryShoppingCartList(@Param("userId") String userId);


    /**
     * 查询各订单状态数量
     */
    @InterceptorIgnore(tenantLine = "true")
    public OrderStatusBean orderStatusCount(@Param("userId") String userId);

    /**
     * 精选分类商品
     */
    @InterceptorIgnore(tenantLine = "true")
    public IPage<GoodsNewBean> queryNewGoods(
            IPage ipage,
            @Param("objId") String objId,
            @Param("type") String type,
            @Param("companyWechatId") String companyWechatId,
            @Param("sort") Integer sort
    );


}
