package com.gree.mall.contest.controller.mini.admin;

import com.gree.mall.contest.helper.ResponseHelper;
import com.gree.mall.contest.logic.admin.AdminCompanyWechatOtherLogic;
import com.gree.mall.contest.plus.entity.AdminCompanyWechatOther;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

@RestController
@Tag(name = "小程序其他配置", description = "小程序其他配置")
@RequestMapping(value = "/mini/admin/company/other", produces = "application/json; charset=utf-8")
@RequiredArgsConstructor
public class MiniAdminCompanyWechatOtherController {
    private final AdminCompanyWechatOtherLogic adminCompanyWechatOtherLogic;


    @GetMapping("/getOne")
    @Operation(summary = "获取企业其他配置")
    public ResponseHelper<AdminCompanyWechatOther> getOne(HttpServletRequest request) {

        return ResponseHelper.success(adminCompanyWechatOtherLogic.getOne(request));
    }
}
