package com.gree.mall.contest.controller.mini.apply;

import com.gree.mall.contest.annotation.ApiNotAuth;
import com.gree.mall.contest.bean.merchant.WebsitApplyAdd;
import com.gree.mall.contest.helper.ResponseHelper;
import com.gree.mall.contest.logic.merchant.MerchantLogic;
import com.gree.mall.contest.plus.entity.WebsitApply;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.RequiredArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

@Validated
@RequiredArgsConstructor
@RestController
@Tag(name = "商家入驻申请管理,申请入驻服API", description = "商家入驻申请管理,申请入驻API")
@RequestMapping("/mini/websitApply")
public class MiniApplyController {

    private final MerchantLogic merchantLogic;

    @ApiNotAuth
    @PostMapping("/register")
    @Operation(summary = "注册账号-验证验证码 true下一步 false展示申请审核详情")
    public ResponseHelper<Boolean> register(
            @Parameter(description = "手机号", required = true) @RequestParam String mobile,
            @Parameter(description = "验证码") @RequestParam(required = false) String code
    ) {
        Boolean b = merchantLogic.register(mobile, code);
        return ResponseHelper.success(b);
    }

    @ApiNotAuth
    @PostMapping("/applyList")
    @Operation(summary = "申请入驻")
    public ResponseHelper<WebsitApply> applyMobile(
            @RequestBody WebsitApplyAdd websitApplyAdd
    ) {
        WebsitApply websitApply = merchantLogic.applyList(websitApplyAdd);
        return ResponseHelper.success(websitApply);
    }
}
