package com.gree.mall.contest.controller.pc.admin;


import com.gree.mall.contest.bean.admin.reqDto.AdminCompanyWechatTemplateUpdateReqDto;
import com.gree.mall.contest.helper.ResponseHelper;
import com.gree.mall.contest.logic.admin.AdminCompanyWechatTemplateLogic;
import com.gree.mall.contest.plus.entity.AdminCompanyWechatTemplate;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

@RestController
@Tag(name = "小程序模板", description ="小程序模板" )
@RequestMapping(value = "/admin/company/template", produces = "application/json; charset=utf-8")
public class AdminCompanyWechatTemplateController {

    @Autowired
    private AdminCompanyWechatTemplateLogic adminCompanyWechatTemplateLogic;



    @GetMapping("/detail")
    @Operation(summary = "获取企业下模板")
    public ResponseHelper<List<AdminCompanyWechatTemplate>> getTemplate() {


        return ResponseHelper.success(adminCompanyWechatTemplateLogic.getTemplate());
    }


    @PostMapping("/updateTemplate")
    @Operation(summary = "更改模板信息")
    public ResponseHelper updateTemplate(HttpServletRequest request,@RequestBody AdminCompanyWechatTemplate adminCompanyWechatTemplate) {
        adminCompanyWechatTemplateLogic.updateTemplate(request, adminCompanyWechatTemplate);
        return ResponseHelper.success();
    }

    @PostMapping("/updateCompanyWithTemplate")
    @Operation(summary = "更改企业信息和模板信息")
    public ResponseHelper updateCompanyWithTemplate(@RequestBody AdminCompanyWechatTemplateUpdateReqDto reqDto) {
        adminCompanyWechatTemplateLogic.updateCompanyWithTemplate(reqDto);
        return ResponseHelper.success();
    }


    @PostMapping("/initCompanyWechatTemplate")
    @Operation(summary = "初始化企业微信模板")
    public ResponseHelper initCompanyWechatTemplate(
            @Parameter(required = true,description = "企业微信id")@RequestParam String companyWechatId,
            @Parameter(required = true,description = "企业名称")@RequestParam String companyName
    ) {

        adminCompanyWechatTemplateLogic.initCompanyWechatTemplate(companyWechatId, companyName);
        return ResponseHelper.success();
    }
}
