package com.gree.mall.contest.enums.admin;


import com.gree.mall.contest.enums.base.BaseEnum;
import lombok.Getter;

@Getter
public enum RoleTypeEnum implements BaseEnum {
    A("A","平台"),
    B("B","商家"),
    D("D","商家子账号"),
    ;

    private final String code;
    private final String msg;

    RoleTypeEnum(String code, String msg){
        this.code=code;
        this.msg=msg;
    }

    /**
     * 是否为平台
     * @param type
     * @return
     */
    public static Boolean isPlatform(String type){
        return type.equals(RoleTypeEnum.A.getCode());
    }

    /**
     * 是否为商家
     * @param type
     * @return
     */
    public static Boolean isMerchant(String type){
        return type.equals(RoleTypeEnum.B.getCode()) || type.equals(RoleTypeEnum.D.getCode());
    }

    @Override
    public String getKey() {
        return this.code;
    }

    @Override
    public String getRemark() {
        return this.msg;
    }
}
