package com.gree.mall.contest.logic;

import cn.hutool.core.collection.CollectionUtil;
import com.gree.mall.contest.plus.entity.ExpressCompany;
import com.gree.mall.contest.plus.entity.ExpressInfo;
import com.gree.mall.contest.plus.service.ExpressCompanyService;
import com.gree.mall.contest.plus.service.ExpressInfoService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;


/**
 * 快递物流
 * created by lijh
 * 2019-07-23
 */
@Service
@Slf4j
@RequiredArgsConstructor
public class ExpressLogic {

//    private final static String expressQueryUrl = "https://poll.kuaidi100.com/poll/query.do";
//    private final static String expressPollUrl = "https://poll.kuaidi100.com/poll";
    //    private final static String callBackUrl = "http://121.43.111.127:9003/common/express/callback";
//    private final static String customer = "4A7813B781DCAB6D1975A79DF86B96ED";
//    private final static String key = "yzXRZXXI1802";
//    @Value("${express.callback}")
//    private String callBackUrl;

    private final ExpressInfoService expressInfoService;
    private final ExpressCompanyService expressCompanyService;

    /**
     * 查询所有物流公司
     */
    public List<ExpressCompany> expressCompanyList() {
        return expressCompanyService.list();
    }

    /**
     * 根据code查询公司
     */
    public String expressCompanyName(String code) {
        return expressCompanyService.lambdaQuery().eq(ExpressCompany::getCode, code).one().getName();
    }

    /**
     * 根据name查询公司
     */
    public ExpressCompany expressCompany(String name) {
        return expressCompanyService.lambdaQuery().eq(ExpressCompany::getName, name).one();
    }

    public List<ExpressInfo> queryExpress(String logisticsNo, String company) {

        if (StringUtils.isEmpty(logisticsNo)) {
            return new ArrayList<>();
        }

        //先查询本地数据库是否有已签收数据
        List<ExpressInfo> list = expressInfoService.lambdaQuery()
                .eq(ExpressInfo::getLogisticsNo, logisticsNo)
                .eq(StringUtils.isNotEmpty(company),ExpressInfo::getCom, company)
                .list();
        if (CollectionUtil.isNotEmpty(list)) {
            return list;
        } else {
            return null;
        }
    }

}
