package com.gree.mall.contest.logic.admin;

import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.gree.mall.contest.bean.admin.AdminUserCom;
import com.gree.mall.contest.logic.common.CommonLogic;
import com.gree.mall.contest.plus.entity.AdminCompanyWechatOther;
import com.gree.mall.contest.plus.service.AdminCompanyWechatOtherService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.servlet.http.HttpServletRequest;
import java.util.Date;

@Slf4j
@Service
@RequiredArgsConstructor
public class AdminCompanyWechatOtherLogic {

    private final AdminCompanyWechatOtherService adminCompanyWechatOtherService;
    private final CommonLogic commonLogic;

    /**
     * 获取小程序配置信息
     */
    public AdminCompanyWechatOther getOne(HttpServletRequest request) {


        return adminCompanyWechatOtherService.lambdaQuery()
                .last("limit 1")
                .one();
    }

    /**
     * 初始化其他配置
     */
    public void init(String companyId, String companyName) {
        adminCompanyWechatOtherService.lambdaUpdate()
                .eq(AdminCompanyWechatOther::getCompanyWechatId, companyId)
                .remove();


        AdminCompanyWechatOther other = new AdminCompanyWechatOther();
        other.setCompanyWechatId(companyId);
        other.setCompanyName(companyName);
        other.insert();
    }

    /**
     * 更新其他配置
     */
    public void update(AdminCompanyWechatOther other,HttpServletRequest request) {
        AdminUserCom adminUser = commonLogic.getAdminUser(request);
        adminCompanyWechatOtherService.lambdaUpdate()
                .eq(AdminCompanyWechatOther::getCompanyWechatId, adminUser.getLoginCompanyWechatId())
                .remove();
        other.setCompanyWechatId(adminUser.getLoginCompanyWechatId());
        other.setCompanyName(adminUser.getLoginCompanyName());
        other.setCreateTime(new Date());
        other.insert();
    }


}
